> ## Documentation Index
> Fetch the complete documentation index at: https://developer.portable.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get flow run attempts

> Get a flow's run attempts by flow ID



## OpenAPI

````yaml get /v2/flows/{id}/run
openapi: 3.1.0
info:
  title: The Portable API
  description: This API allows you to interact with the Portable platform.
  version: 0.0.1
servers:
  - url: https://api.portable.io
security:
  - bearerAuth: []
paths:
  /v2/flows/{id}/run:
    parameters:
      - name: id
        in: path
        description: ID of the flow you want to run
        required: true
        schema:
          $ref: '#/components/schemas/id'
        example:
          - value: 568971
    get:
      tags:
        - Flows
      summary: Get flow run attempts
      description: Get a flow's run attempts by flow ID
      operationId: getRunAttempts
      parameters:
        - name: limit
          in: query
          description: >
            The maximum number of run attempt entries to return in a single
            response. Defaults to 100. Values up to 1,000 are allowed.
          required: false
          schema:
            type: integer
            format: int
            example: 100
        - name: offset
          in: query
          description: >
            The starting point within the collection of run attempt entries to
            begin returning results from. It's used in conjunction with `limit`
            to navigate through paginated data. An offset of 0 starts the
            results from the first item. Defaults to 0.
          required: false
          schema:
            type: integer
            format: int
            example: 0
        - name: sort
          in: query
          description: >
            Dictates the order in which the run attempt entries are returned.
            Acceptable values are `asc` for ascending order and `desc` for
            descending order. The sorting refers to the `createdAt` field of the
            run attempt entries. Defaults to `desc`.
          required: false
          schema:
            type: string
            enum:
              - ASC
              - DESC
            example: DESC
        - name: startTime
          in: query
          description: >
            The start time of the range of run attempt entries to return. The
            value should be in [RFC
            3339](https://datatracker.ietf.org/doc/html/rfc3339) format.
          required: false
          schema:
            type: string
            format: date-time
            examples:
              - '2021-01-01T00:00:00Z'
              - '2024-04-04T15:01:24.800-04:00'
        - name: endTime
          in: query
          description: >
            The end time of the range of run attempt entries to return. The
            value should be in [RFC
            3339](https://datatracker.ietf.org/doc/html/rfc3339) format.
          required: false
          schema:
            type: string
            format: date-time
            examples:
              - '2021-01-01T00:00:00Z'
              - '2024-04-04T15:01:24.800-04:00'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/RunAttempt'
              example:
                data:
                  - id: 658423
                    flow: 689422
                    trigger: scheduled
                    lifecycle: running
                    disposition: none
                    resources:
                      - name: events
                        extracted: 1400
                        analyzed: 0
                        loaded: 0
                      - name: attendees
                        extracted: 125
                        analyzed: 0
                        loaded: 0
                    completedAt: null
                    createdAt: 2023‐06‐12T21:03:00Z
                  - id: 637628
                    flow: 689422
                    trigger: scheduled
                    lifecycle: not_running
                    disposition: succeeded
                    resources:
                      - name: events
                        extracted: 1864
                        analyzed: 1864
                        loaded: 1864
                      - name: attendees
                        extracted: 218
                        analyzed: 218
                        loaded: 218
                    completedAt: 2023‐06‐12T20:08:34Z
                    createdAt: 2023‐06‐12T20:03:00Z
                  - id: 632458
                    flow: 689422
                    trigger: manual
                    lifecycle: not_running
                    disposition: failed
                    errors:
                      - Failed to connect to the source
                    completedAt: null
                    createdAt: 2023‐06‐10T20:03:00Z
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
        '404':
          $ref: '#/components/responses/NotFoundError'
components:
  schemas:
    id:
      type: integer
      format: int
      examples:
        - 568971
    RunAttempt:
      type: object
      required:
        - id
        - flow
        - trigger
        - createdAt
      readonly: true
      properties:
        id:
          type: integer
          format: int
          readOnly: true
          description: The ID of this run attempt
          x-go-type-skip-optional-pointer: true
          x-order: 1
        trigger:
          type: string
          readOnly: true
          description: What triggered this run attempt
          enum:
            - MANUAL
            - SCHEDULED
            - API
          x-go-type-skip-optional-pointer: true
          x-order: 2
        status:
          type: string
          readOnly: true
          description: The status of the run attempt
          enum:
            - SUCCEEDED
            - FAILED
            - NONE
          x-go-type-skip-optional-pointer: true
          x-order: 3
        details:
          type: object
          description: Additional details about the run attempt
          x-order: 5
          x-go-type: map[string]native.ResourceSummary
        errors:
          type: array
          items:
            type: string
          description: Errors that might have occurred during the run attempt
          x-order: 6
        createdAt:
          type: string
          format: date-time
          description: The time at which the run attempt was created
          x-go-type-skip-optional-pointer: true
          x-order: 7
        completedAt:
          type: string
          format: date-time
          description: The time at which the run attempt was completed.
          x-order: 8
  responses:
    UnauthorizedError:
      description: Unauthorized - No valid API key provided.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Unauthorized
    ForbiddenError:
      description: Forbidden - You don't have enough permissions to access this resource.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Your current plan does not support this feature
    NotFoundError:
      description: Not Found - The requested resource does not exist.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Not Found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````